# POST /api/source/loadAccounts

**URL:** <https://developer.sailpoint.com/discuss/t/post-api-source-loadaccounts/20515>\
**Category:** Non-Public API Deprecations\
**Tags:** deprecated, extended-june\
**Created:** [November 6, 2023, 6:45pm UTC](https://developer.sailpoint.com/discuss/t/post-api-source-loadaccounts/20515 "2023-11-06T18:45:00Z")\
**Posts on this page:** 1\
**Showing post:** 79

<div class="post-metadata">

**Author:** ![angelo\_mekenkamp](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/angelo_mekenkamp/32/3386_2.png) [@angelo\_mekenkamp](https://developer.sailpoint.com/discuss/u/angelo_mekenkamp)\
**Post date:** [May 6, 2024, 7:42pm UTC](https://developer.sailpoint.com/discuss/t/post-api-source-loadaccounts/20515/79 "2024-05-06T19:42:07Z")

</div>

> [@colin\_mckibben](#):
>
> That’s an interesting thought. I can propose that as well to the team. I have also suggested to them to make `disableOptimization` a query param instead of a body param. The discussion is still ongoing though.

Ahh that would work as well, I think I might like your suggestion even more as it is a simple key value pair and it will not break max URL length. Unless you foresee additional parameters where those values are better represented as JSON object. As long as the API will not complain when we try performing a unoptimised aggregation without added CSV file whilst giving the standard Content-Type it should be good and then the workflow can deal with is as well without having to specify a different Content-Type.

Note that the workflows HTTP request is slightly broken when doing a GET operation, as the API will still give a body with content and Content-Length=4, which will result in errors on some endpoints that don’t expect any body on GET calls (even if the given body is the four letter code NULL) and will complain because of this.

Kind regards,  
Angelo

---

_[View the full topic](https://developer.sailpoint.com/discuss/t/post-api-source-loadaccounts/20515)._
